Bug 1260217 - [abrt] control-center: gcm_prefs_calib_apply_cb(): gnome-control-center killed by SIGSEGV
[abrt] control-center: gcm_prefs_calib_apply_cb(): gnome-control-center kille...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:45d603cc49c9856fc1fe82d11f4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 15:29 EDT by Mikko Tiihonen
Modified: 2016-12-20 09:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:34:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.30 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: core_backtrace (13.78 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: dso_list (27.63 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: environ (1.11 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: maps (122.87 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: mountinfo (3.46 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: open_fds (1.44 KB, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-09-04 15:29 EDT, Mikko Tiihonen
no flags Details

  None (edit)
Description Mikko Tiihonen 2015-09-04 15:29:17 EDT
Description of problem:
I was trying to calibrate my laptop screen with color munki photo - the profiling abruptly stopped during calibration as I accidentally removed the usb cable (it connects very poorly to the device).

On second try to calibrate after reconnecting the cables the color tools just crashed.

Version-Release number of selected component:
control-center-3.17.90-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-control-center color
crash_function: gcm_prefs_calib_apply_cb
executable:     /usr/bin/gnome-control-center
global_pid:     12483
kernel:         4.2.0-1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gcm_prefs_calib_apply_cb at cc-color-panel.c:316
 #1 _g_closure_invoke_va at gclosure.c:864
 #4 on_assistant_apply at gtkassistant.c:1044
 #5 _g_closure_invoke_va at gclosure.c:864
 #8 gtk_button_do_release at gtkbutton.c:1899
 #9 gtk_real_button_released at gtkbutton.c:2017
 #14 multipress_released_cb at gtkbutton.c:613
 #15 ffi_call_unix64 at ../src/x86/unix64.S:76
 #16 ffi_call at ../src/x86/ffi64.c:525
 #17 g_cclosure_marshal_generic_va at gclosure.c:1594

Potential duplicate: bug 970588
Comment 1 Mikko Tiihonen 2015-09-04 15:29:21 EDT
Created attachment 1070407 [details]
File: backtrace
Comment 2 Mikko Tiihonen 2015-09-04 15:29:22 EDT
Created attachment 1070408 [details]
File: cgroup
Comment 3 Mikko Tiihonen 2015-09-04 15:29:24 EDT
Created attachment 1070409 [details]
File: core_backtrace
Comment 4 Mikko Tiihonen 2015-09-04 15:29:26 EDT
Created attachment 1070410 [details]
File: dso_list
Comment 5 Mikko Tiihonen 2015-09-04 15:29:27 EDT
Created attachment 1070411 [details]
File: environ
Comment 6 Mikko Tiihonen 2015-09-04 15:29:29 EDT
Created attachment 1070412 [details]
File: exploitable
Comment 7 Mikko Tiihonen 2015-09-04 15:29:30 EDT
Created attachment 1070413 [details]
File: limits
Comment 8 Mikko Tiihonen 2015-09-04 15:29:32 EDT
Created attachment 1070414 [details]
File: maps
Comment 9 Mikko Tiihonen 2015-09-04 15:29:33 EDT
Created attachment 1070415 [details]
File: mountinfo
Comment 10 Mikko Tiihonen 2015-09-04 15:29:35 EDT
Created attachment 1070416 [details]
File: namespaces
Comment 11 Mikko Tiihonen 2015-09-04 15:29:36 EDT
Created attachment 1070417 [details]
File: open_fds
Comment 12 Mikko Tiihonen 2015-09-04 15:29:37 EDT
Created attachment 1070418 [details]
File: proc_pid_status
Comment 13 Jake Jackson 2015-11-06 08:32:55 EST
Another user experienced a similar problem:

Tried to calibrate my secondary display (LCD TV) using a Spyder5Pro

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-control-center color
crash_function: gcm_prefs_calib_apply_cb
executable:     /usr/bin/gnome-control-center
global_pid:     2697
kernel:         4.2.5-300.fc23.x86_64
package:        control-center-3.18.1-1.fc23
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Peter 2016-04-09 16:30:22 EDT
Similar problem has been detected:

Crashed after a second color calibration

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-control-center color
crash_function: gcm_prefs_calib_apply_cb
executable:     /usr/bin/gnome-control-center
global_pid:     24028
kernel:         4.4.6-300.fc23.x86_64
package:        control-center-3.18.2-1.fc23
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Peter 2016-04-10 07:25:10 EDT
Similar problem has been detected:

started calibration the second time

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: gcm_prefs_calib_apply_cb
executable:     /usr/bin/gnome-control-center
global_pid:     4404
kernel:         4.4.6-301.fc23.x86_64
package:        control-center-3.18.2-1.fc23
reason:         gnome-control-center killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 07:27:32 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 09:34:43 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.